<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yinlihupo.enlish.service.domain.mapper.StudentStageLearningRemarkDOMapper">
    <resultMap id="BaseResultMap" type="com.yinlihupo.enlish.service.domain.dataobject.StudentStageLearningRemarkDO">
        <id column="id" jdbcType="INTEGER" property="id" />
        <result column="student_id" jdbcType="INTEGER" property="studentId" />
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    </resultMap>
    <resultMap extends="BaseResultMap" id="ResultMapWithBLOBs" type="com.yinlihupo.enlish.service.domain.dataobject.StudentStageLearningRemarkDO">
        <result column="comment_content" jdbcType="LONGVARCHAR" property="commentContent" />
    </resultMap>

    <insert id="insert">
        insert into student_stage_learning_remark (student_id, create_time, comment_content)
        values (#{studentId,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, #{commentContent,jdbcType=LONGVARCHAR})
    </insert>

</mapper>